Name: xnc
Version: 5.0.4
Release: sdg1
Summary: X Northern Captain - X filemanager with many functions
Copyright: GPL
Group: File tools
Url: http://www.xnc.dubna.su/
Source: %{name}-%{version}.src.tar.gz

%description
This program allows the user to navigate through many filesystems,
manipulate files, archives, execute commands in builtin shell, view
and edit images, text and binary files...

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=%{prefix} --mandir=%{_mandir} --with-x
make       

%install

export DESTDIR=$RPM_BUILD_ROOT && make install

# menu and icons
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Applications/File tools" \
title="XNC" longtitle="X Northern Captain - X filemanager with many functions." \
command="%prefix/bin/%name" icon=%name.png
__MENU__
%__install -pD -m644 %name.menu %buildroot%_menudir/%name

mkdir -p %buildroot%_datadir/icons
mv %buildroot%_datadir/pixmaps/%{name}.* %buildroot%_datadir/icons
rm -rf %buildroot%_datadir/pixmaps

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files
%doc README README.keys AUTHORS LICENSE WHATS_NEW TODO doc/*.html
%_bindir/*
%_menudir/%name
%_mandir/*
%_libdir/%name/*.so
%_datadir/locale/*/LC_MESSAGES/%{name}.mo
%_datadir/icons/%{name}.*

%changelog
* Wed Jan 19 2005 Denis G. Samsonenko <denis@che.nsk.su> 5.0.4-sdg1
- build for ALM2.4
- adapted spec from Leonid Khramov 
